package com.yc.ship.module.ota.enums;


import com.yc.ship.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {
    /**
     * ========== 参数配置 分销模块 ==========
     **/
    ErrorCode DISTRIBUTOR_TYPE_NOT_EXISTS = new ErrorCode(11_001, "分销商类型不存在");
    ErrorCode DISTRIBUTOR_NOT_EXISTS = new ErrorCode(11_002, "分销商信息不存在");
    ErrorCode DISTRIBUTOR_SHORT_EXISTS = new ErrorCode(11_002, "分销商子账户已存在");
    ErrorCode DISTRIBUTOR_USER_NOT_EXISTS = new ErrorCode(11_003, "该用户无分销商信息");
    ErrorCode DISTRIBUTOR_LOGINNAME_EXISTS = new ErrorCode(11_002_001, "登录名已经存在");

    ErrorCode DISTRIBUTOR_TENANT_EXISTS = new ErrorCode(11_002_002, "旅行社租户创建失败,请查看用户名和账户是否重复");
    ErrorCode OTA_TENANT_EXISTS = new ErrorCode(11_002_003, "用户创建失败,请查看用户名和账户是否重复或者不符合规则");
    ErrorCode DISTRIBUTOR_RECHARGE_NOT_EXISTS = new ErrorCode(11_011, "分销商充值不存在");
    ErrorCode TRADE_LOG_NOT_EXISTS = new ErrorCode(11_012, "分销商交易日志不存在");
    ErrorCode CREDIT_NOT_ENABLED = new ErrorCode(11_013, "分销商未启用授信");
    ErrorCode RECHARGE_HAVA_REVIEWED = new ErrorCode(11_014, "充值已经审核了");

    ErrorCode INSUFFICIENT_BALANCE = new ErrorCode(11_015, "余额不足,支付失败");
    ErrorCode CREDIT_INSUFFICIENT_FUNDS = new ErrorCode(11_016, "授信剩余额度不足,支付失败");
    ErrorCode DISTRIBUTOR_RECHARGE_FAILED = new ErrorCode(11_017, "分销商充值失败");
    ErrorCode DISTRIBUTOR_PAY_FAILED = new ErrorCode(11_018, "分销商资金交易失败");
    ErrorCode CREDIT_NOT_INVENTORY = new ErrorCode(11_019, "分销商未启用定向库存预付款");
    ErrorCode DISTRIBUTOR_CATEGORY_NOT_EXISTS = new ErrorCode(11_020, "分销商分组不存在");

    ErrorCode DISTRIBUTOR_AUDIT_NOT_EXISTS = new ErrorCode(11_021, "分销商授信提额不存在");
    ErrorCode DISTRIBUTOR_AUDIT_LOG_NOT_EXISTS = new ErrorCode(11_022, "分销商授信提额日志不存在");
    ErrorCode DISTRIBUTOR_REQUEST_NOT_ENABLE = new ErrorCode(11_023, "分销商授信申请未启用");
    ErrorCode DISTRIBUTOR_REQUEST_CREDIT = new ErrorCode(11_024, "门店授信额度不足");
    ErrorCode DISTRIBUTOR_REQUEST_TIMEOUT = new ErrorCode(11_025, "分销商授信申请超时");
    ErrorCode DISTRIBUTOR_REQUEST_FAIL = new ErrorCode(11_026, "分销商授信请求失败");
    ErrorCode DISTRIBUTOR_SELF_RECHARGE_NOT_EXISTS = new ErrorCode(11_027, "分销商自助充值单不存在");
    // ========== 扎帐 ==========
    ErrorCode ACCOUNT_NOT_FAIL = new ErrorCode(30_201, "扎帐失败");
    //========== 账单 ==========
    ErrorCode BULL_NOT_FAIL = new ErrorCode(40_101, "账单生成失败");
    //========== 营销政策 ==========
    ErrorCode MARKETING_NOT_FAIL = new ErrorCode(50_101, "政策审核失败");
    ErrorCode NOT_MARKETING = new ErrorCode(50_102, "未查询到可申请的营销政策");
    ErrorCode NOT_MARKETING_USE = new ErrorCode(50_103, "未查询到可申请使用的营销政策");
    ErrorCode ORDER_APPLIED_MARKETING = new ErrorCode(50_104, "订单已申请营销政策");
    ErrorCode ORDER_APPLIED_MARKETING_USED = new ErrorCode(50_105, "订单已申请使用营销政策");
    ErrorCode ORDER_NOT_MATCH_STORE = new ErrorCode(50_106, "订单与门店不匹配");
    ErrorCode APPLY_MARKETING_NOT_FAIL = new ErrorCode(50_107, "申请政策失败");
    ErrorCode ORDER_PAY_AUTO_REFUND = new ErrorCode(30_046, "当前订单已不能支付");

}